/* AlterZoom2.rex, Matthias Prem, 2006, Rony G. Flatscher, 2007, WU Wien */
/* Macro */
   /* get the script context and the desktop */
xScriptContext=uno.getScriptContext()
xModel=xScriptContext~getDocument

   /* get current component (Writer) and its XViewSettings properties */
supp=xModel~getCurrentController~XSelectionSupplier
viewProps=supp~XViewSettingsSupplier~ViewSettings~XPropertySet

   /* access the static fields of DocumentZoomType */
dzt=bsf.wrapStaticFields("com.sun.star.view.DocumentZoomType")

   /* show different zooms with a 1 sec pause */
viewProps~setPropertyValue("ZoomType",  box("Short", dzt~page_width))
call syssleep 1

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~entire_page))
call syssleep 1

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~page_width_exact))
call syssleep 1

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~by_Value))
viewProps~setPropertyValue("ZoomValue", box("Short", 200))
call syssleep 1
viewProps~setPropertyValue("ZoomValue", box("Short", 10))
   call syssleep 1

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~optimal))

::requires UNO.CLS
